{ config, lib, ... }:

# this file contains default configuration that may be turned on depending on other config settings.
# options should go to modules.

lib.mkIf config.services.nginx.enable {
  services.nginx = {
    openFirewall = true;
    recommendedGzipSettings = true;
    recommendedOptimisation = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;
  };
}
